/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.audiocd;

import net.sf.dc.console.components.panels.QuickViewPanel;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.audiocd.AudioCD;

/**
 * @version 2.2
 * @since 1.4
 * @author Robert Jan van der Waals
 */
public class AudioCDQuickViewPane extends QuickViewPanel {
    
    public AudioCDQuickViewPane() {
        super(DCModules.getModule(DCModules._MOVIE), true);
    }
    
    /**
     * Create the quickview pane for all fields 
     */
    protected String getDescriptionTable() {
        String table = "<table " + getBodyStyle() + ">\n";
        table = addTableRow(table, AudioCD._F_ARTIST, _DIRECTION_VERTICAL);
        table = addTableRow(table, AudioCD._A_TITLE, _DIRECTION_VERTICAL);
        table = addTableRow(table, AudioCD._C_YEAR, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, AudioCD._G_GENRE, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, AudioCD._D_LOCATION, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, AudioCD._H_PICTUREFRONT, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, AudioCD._I_PICTUREBACK, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, AudioCD._J_PICTURECD, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, AudioCD._E_RATING, _DIRECTION_HORIZONTAL);
        table += "</table>";
        return table;
    }
}
