package net.sf.dc.console.book;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.components.tables.DcTable;
import net.sf.dc.console.forms.AmazonSearchForm;
import net.sf.dc.console.forms.ItemForm;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.book.Book;

public class AmazonBookSearchForm extends AmazonSearchForm {
    

    public AmazonBookSearchForm(DcObject dco, ItemForm itemForm) {
        super(dco, itemForm);
    }
    
    public AmazonBookSearchForm(DcObject dco, int tab) {
        super(dco, tab);
    }    
    
    protected DcTable getTable() {
        DcTable table = ComponentFactory.getDCTable(DCModules.getModule(DCModules._BOOK), true, false);
        
        table.resetTable();
        int[] fields = {Book._D_LOCATION, Book._J_ISBN, Book._I_CATEGORY, Book._ID, Book._H_WEBPAGE,
                        Book._U1_USER_LONGTEXT, Book._U2_USER_SHORTTEXT1, Book._U3_USER_SHORTTEXT2,
                        Book._U4_USER_NUMERIC1, Book._U5_USER_NUMERIC2};
        table.removeFields(fields);
        return table;
    }
}        
