/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.book;

import java.util.ArrayList;
import java.util.Collection;

import javax.swing.JComponent;

import net.sf.dc.console.components.panels.TableInsertPanel;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.resources.DcResources;

/**
 * @author Robert Jan van der Waals
 * @version 1.6
 * @since 1.4
 */
public class InsertBookPanel extends TableInsertPanel {
    
    /**
     * Initializes and creates the panel
     */
    public InsertBookPanel() {
        super(DCModules.getModule(DCModules._BOOK),
              DcResources.getText(Repository.labels.lblNewItem, 
                                DcResources.getText(Repository.systemlabels.sysBookPlural)),
              IconLibrary._icoNew);
    }
    
    public JComponent[] getExtraComponents() {
        return new JComponent[0];
    }      
    
    public Collection getChildren(String parentID) {
        return new ArrayList();
    }

}
