/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components;

import javax.swing.JComboBox;

import net.sf.dc.core.Repository;
import net.sf.dc.resources.DcResources;
import net.sf.ext.jflexsett.settings.ui.ISettingsComponent;

/**
 * @version 2.2
 * @since 1.4
 * @author Robert Jan van der Waals
 */
public class DcReportTextPositionCombo extends JComboBox implements ISettingsComponent {
    
    public static final int _BELOWLABELS = 0;
    public static final int _BESIDELABELS = 1;
    
    public DcReportTextPositionCombo() {
        super();
        fill();
    }
    
    public Object getValue() {
        return new Integer(getSelectedIndex());
    }
    
    public void setValue(Object o) {
        Integer value = (Integer) o;
        if (value != null) {
            setSelectedIndex(value.intValue());
        }
    }
    
    private void fill() {
        addItem(DcResources.getText(Repository.labels.lblBelowLabel));
        addItem(DcResources.getText(Repository.labels.lblBesideLabel));
    }
}
