package net.sf.dc.console.generic;

import javax.swing.JComponent;

import net.sf.dc.console.components.panels.TableSearchPanel;
import net.sf.dc.console.dialogs.MessageBox;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.resources.DcResources;

public class SearchGenericObjectPanel extends TableSearchPanel {

    /**
     * Initializes and creates the panel
     */
    public SearchGenericObjectPanel() {
        super(DCModules.getModule(DCModules._GENERIC),
              DcResources.getText(Repository.systemlabels.sysGenericModule), 
              IconLibrary._icoExisting);
    }

    /**
     * Opens the item form
     */
    public void openItemForm() {
        cancelEdit();
        int row = table.getSelectedRow();
        
        if (row == -1) {
            new MessageBox(DcResources.getText(Repository.messages.msgSelectRowToOpen),
                           MessageBox._WARNING);
        } else {
            DcObject dco = getObjectForRow(row, true);
            dco.reload();
            openItemForm(dco, true);
        }
    }    
    
    public void loadChildValues() {}
    
    public void removeNewChild (String sID) {}
    
    public JComponent[] getExtraComponents() {
        return new JComponent[0];
    }
}
