/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.musicfile;

import net.sf.dc.console.components.panels.QuickViewPanel;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.musicfiles.MusicFile;

/**
 * @version 2.2
 * @since 1.4
 * @author Robert Jan van der Waals
 */
public class MusicFileQuickViewPane extends QuickViewPanel {
    
    public MusicFileQuickViewPane() {
        super(DCModules.getModule(DCModules._MUSIC), true);
    }
    
    /**
     * Create the quickview pane for all fields 
     */
    protected String getDescriptionTable() {
        String table = "<table " + getBodyStyle() + ">\n";
        table = addTableRow(table, MusicFile._A_TITLE, QuickViewPanel._DIRECTION_VERTICAL);
        table = addTableRow(table, MusicFile._F_ARTIST, QuickViewPanel._DIRECTION_VERTICAL);
        table = addTableRow(table, MusicFile._G_ALBUM, QuickViewPanel._DIRECTION_VERTICAL);
        table = addTableRow(table, MusicFile._H_GENRE, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, MusicFile._J_PLAYLENGTH, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, MusicFile._C_YEAR, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, MusicFile._M_LYRIC, QuickViewPanel._DIRECTION_VERTICAL);
        table = addTableRow(table, MusicFile._N_FILESIZE, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, MusicFile._K_QUALITY, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, MusicFile._L_ENCODING, QuickViewPanel._DIRECTION_VERTICAL);
        table = addTableRow(table, MusicFile._D_LOCATION, QuickViewPanel._DIRECTION_VERTICAL);
        table = addTableRow(table, MusicFile._E_RATING, QuickViewPanel._DIRECTION_HORIZONTAL);
        table += "</table>";        
        return table;
    }
}
