package net.sf.dc.console.software;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.components.tables.DcTable;
import net.sf.dc.console.forms.AmazonSearchForm;
import net.sf.dc.console.forms.ItemForm;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.software.Software;

public class AmazonSoftwareSearchForm extends AmazonSearchForm {

    public AmazonSoftwareSearchForm(DcObject dco, ItemForm itemForm) {
        super(dco, itemForm);
    }
    
    public AmazonSoftwareSearchForm(DcObject dco, int tab) {
        super(dco, tab);
    }    
    
    protected DcTable getTable() {
        DcTable table = ComponentFactory.getDCTable(DCModules.getModule(DCModules._SOFTWARE), true, false);
        table.resetTable();

        int[] fields = {Software._F_DEVELOPER, Software._I_WEBPAGE, Software._Q_SCREENSHOTTWO, 
                        Software._R_SCREENSHOTTHREE, Software._J_FILENAME, Software._K_TYPE, Software._ID, 
                        Software._L_MULTI, Software._N_PICTUREBACK, Software._O_PICTURECD, Software._S_SERIALKEY, Software._T_FILESIZE, 
                        Software._D_LOCATION, Software._U1_USER_LONGTEXT, Software._U2_USER_SHORTTEXT1, Software._U3_USER_SHORTTEXT2,
                        Software._U4_USER_NUMERIC1, Software._U5_USER_NUMERIC2};
        table.removeFields(fields);
        return table;
    }
}
