/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core;

/**
 * Holder of static data. Keys for Settings, static collections
 * and other data is stored here.
 *
 * @author Robert Jan van der Waals
 * @since 1.4
 * @version 2.3
 */
public abstract class Repository {
    
    public static final class system {
        public static final int versionMajor = 2;
        public static final int versionMinor = 4;
        public static final int versionBuild = 0;

        public static final String product = "Data Crow";
        
        public static final String version = product + " " + versionMajor + "." + 
                                                             versionMinor + "." + 
                                                             versionBuild;
        
        public static final String releasedate = "Released on July 6, 2006";
    }
    
    public static final class reportsettings {
        public static final String stAuthor = "report_author";
        public static final String stFieldDefinitions = "field_definitions";
        public static final String stLabelBorderColor = "label_border_color";
        public static final String stTextBorderColor = "text_border_color";
        public static final String stTextBorderRight = "text_border_right";
        public static final String stTextBorderBottom = "text_border_bottom";
        public static final String stTextBorderTop = "text_border_top";
        public static final String stTextBorderLeft = "text_border_left";
        public static final String stLabelBorderRight = "label_border_right";
        public static final String stLabelBorderBottom = "label_border_bottom";
        public static final String stLabelBorderTop = "label_border_top";
        public static final String stLabelBorderLeft = "label_border_left";
        public static final String stLabelPosition = "label_position";
        public static final String stReportType = "report_type";
        public static final String stTarget = "target";
        public static final String stCreateIndex = "create_index";
        public static final String stFooterFont = "footer_font";
        public static final String stFooterColor = "footer_color";
        public static final String stFooterBackgroundColor = "footer_background_color";
        public static final String stHeaderFont = "header_font";
        public static final String stHeaderColor = "header_color";
        public static final String stHeaderBackgroundColor = "header_background_color";
        public static final String stHeaderValue = "header_value";
        public static final String stFooterValue = "footer_value";
        public static final String stShowHeader = "show_header";
        public static final String stShowFooter = "show_footer";
        public static final String stTextFont = "text_font";
        public static final String stTextColor = "text_color";
        public static final String stTextBackgroundcolor = "text_background_color";
        public static final String stLabelFont = "label_font";
        public static final String stLabelColor = "label_color";
        public static final String stLabelBackgroundColor = "label_background_color";
        public static final String stPageLayoutLandscape = "page_layout_landscape";
    }
    
    public static final class settings {
        public static final String stVersionMajor = "version_major";
        public static final String stVersionMinor = "version_minor";
        public static final String stVersionBuild = "version_build";
        public static final String stFieldDefinitionsMovie = "Movie_Field_Definitions";
        public static final String stFieldDefinitionsMusic = "Music_Field_Definitions";
        public static final String stFieldDefinitionsAudioCD = "AudioCD_Field_Definitions";
        public static final String stFieldDefinitionsAudioTrack = "AudioTrack_Field_Definitions";
        public static final String stFieldDefinitionsGeneric = "Generic_Field_Definitions";
        public static final String stFieldDefinitionsSoftware = "Software_Field_Definitions";
        public static final String stFieldDefinitionsBook = "Book_Field_Definitions";
        public static final String stFieldDefinitionsSoftwareCategory = "Software_Category_Field_Definitions";
        public static final String stFieldDefinitionsBookCategory = "Book_Category_Definitions";        
        public static final String stProgramDefinitions = "Program_Definitions";
        public static final String stQuickViewSize = "Quick_View_Size";
        public static final String stModuleSelectDialogSize = "module_select_dialog_size";
        public static final String stResourcesEditorViewSize = "Resources_Editor_View_Size";
        public static final String stDeleteImageFileAfterImport = "Delete_Images_After_Import";
        public static final String stShowQuickView = "Show_Quick_View";
        public static final String stBackupDialogSize = "Backup_Dialog_Size";
        public static final String stReportingDialogSize = "Reporting_Dialog_Size";
        public static final String stWizardFormSize = "Wizard_Form_Size";
        public static final String stShowMenuBarLabels = "Show_Menubar_Labels";
        public static final String stShowModuleList = "Show_Module_List";
        public static final String stSystemFontNormal = "System_Font_Normal";
        public static final String stSystemFontBold = "System_Font_Bold";
        public static final String stTableHeaderColor = "Table_Header_Color";
        public static final String stOddRowColor = "Odd_Row_color";
        public static final String stEvenRowColor = "Even_Row_color";
        public static final String stRowSelectionColor = "Row_Selection_color";
        public static final String stBroadband = "Broadband_Connection"; 
        public static final String stTextViewerSize = "Text_Viewer_Size";
        public static final String stLastDirectoryUsed = "Last_Used_Directory";
        public static final String stCheckRequiredFields = "Check_Required_Fields";
        public static final String stCheckUniqueness = "Check_for_uniqueness";
        public static final String stColor = "Background_Color";
        public static final String stDatabaseDriver = "Database_Driver";
        public static final String stConnectionString = "Connection_String";
        public static final String stMaximumSearchRes = "Maximum_search_result";
        public static final String stModule = "Default_module";
        public static final String stHTTPUserAgent = "HTTP_user_agent";
        public static final String stProxyServerName = "Proxy_Server_name";
        public static final String stProxyServerPort = "Proxy_Server_port";
        public static final String stFieldSettingsDialogSize = "Field_Settings_Dialog_Size";
        public static final String stImdbSearchFormViewSize = "IMDB_Search_Form_View_Size";
        public static final String stImdbServer = "IMDB_Server";
        public static final String stAmazonServer = "Amazon_Server";
        public static final String stFreedbServer = "Freedb_Server";
        public static final String stAmazonSearchFormViewSize = "Amazon_Search_Form_View_Size";
        public static final String stFreeDBSearchFormViewSize = "FreeDB_Search_Form_View_Size";        
        public static final String stMainViewSize = "Main_View_Size";
        public static final String stItemFormViewSize = "Item_Form_Size";
        public static final String stTabbedPaneSize = "Tabbed_Pane_Size";
        public static final String stMusicItemFormViewSize = "Music_Item_Form_Size";
        public static final String stMovieItemFormViewSize = "Movie_Item_Form_Size";
        public static final String stSoftwareItemFormViewSize = "Software_Item_Form_Size";
        public static final String stBookItemFormViewSize = "Book_Item_Form_Size";
        public static final String stSoftwareCatItemFormViewSize = "Software_Cat_Item_Form_Size";
        public static final String stBookCatItemFormViewSize = "Book_Cat_Item_Form_Size";
        public static final String stMusicOrganizerViewSize = "Music_Organizer_View_Size";
        public static final String stODBOverwriteValues = "ODB_overwrite_existing_Values";
        public static final String stSoftwareCatFormSize = "Software_Cat_Form_Size";
        public static final String stBookCatFormSize = "Book_Cat_Form_Size";
        public static final String stHelpFormSize = "Help_Form_Size";
        public static final String stExpertFormSize = "Expert_Form_Size";
        public static final String stUpdateAllDialogSize = "Update_All_Dialog_Size";
        public static final String stShowTableTooltip = "Show_Table_Tooltip";
        public static final String stImportCDDialogSize = "Import_CD_Dialog_Size";
        public static final String stImportAudioCDDialogSize = "Import_Audio_CD_Dialog_Size";
        public static final String stBrowserPath = "Browser_Path";
        public static final String stShowHiddenFieldsInForm = "Show_hidden_fields_in_forms";
        public static final String stAutoLoadData = "Auto_Load_Data";
        public static final String stProxyPassword = "Proxy_Password";
        public static final String stProxyUserName = "Proxy_Username";
        public static final String stUpdateAllSelectedItemsOnly = "Update_All_Selected_Rows_Only";
    }

    public static final class collections {
        public static final String[] colMusicGenres = {"A Capela", "Acid Jazz"
            , "Acid Punk", "Acid", "Acoustic", "Alternative", "AlternRock"
            , "Ambient", "Anime", "Avantgarde", "Ballad", "Bass", "Beat"
            , "Bebob", "Big Band", "Black Metal", "Bluegrass", "Blues", "Booty Brass"
            , "BritPop", "Cabaret", "Celtic", "Chamber Music", "Chanson"
            , "Chorus", "Christian Gangsta Rap", "Christian Rap", "Christian Rock"
            , "Classic Rock", "Classical", "Club", "Club-House", "Comedy", "Contemporary Christian"
            , "Country", "Crossover", "Cult", "Dance Hall", "Dance", "Darkwave"
            , "Death Metal", "Disco", "Dream", "Drum & Bass", "Drum Solo", "Duet"
            , "Easy Listening", "Electronic", "Ethnic", "Eurodance", "Euro-House"
            , "Euro-Techno", "Fast Fusion", "Folk", "Folklore", "Folk-Rock"
            , "Freestyle", "Funk", "Fusion", "Game", "Gangsta", "Goa", "Gospel"
            , "Gothic Rock", "Gothic", "Grunge", "Hard Rock", "Hardcore", "Heavy Metal"
            , "Hip-Hop", "House", "Humour", "Indie", "Industrial", "Instrumental Pop"
            , "Instrumental Rock", "Instrumental", "Jazz", "Jazz+Funk", "JPop"
            , "Jungle", "Latin", "Lo-Fi", "Meditative", "Merengue", "Metal", "Musical"
            , "National Folk", "Native American", "Negerpunk", "New Age", "New Wave"
            , "Noise", "Oldies", "Opera", "Other", "Polka", "Polsk Punk", "Pop"
            , "Pop/Funk", "Pop-Folk", "Porn Groove", "Power Ballad", "Pranks"
            , "Primus", "Progressive Rock", "Psychadelic", "Psychedelic Rock"
            , "Punk Rock", "Punk", "R&B", "Rap", "Rave", "Reggae", "Retro"
            , "Revival", "Rhythmic Soul", "Rock & Roll", "Rock", "Salsa", "Samba"
            , "Satire", "Showtunes", "Ska", "Slow Jam", "Slow Rock", "Sonata"
            , "Soul", "Sound Clip", "Soundtrack", "Southern Rock", "Space"
            , "Speech", "Swing", "Symphonic Rock", "Symphony", "SynthPop", "Tango"
            , "Techno", "Techno-Industrial", "Terror", "Thrash Metal", "Top 40"
            , "Trailer", "Trance", "Tribal", "Trip-Hop", "Vocal"};
    }

    public static final class datatypes {
        public static final int _STRING = 0;
        public static final int _INTEGER = 1;
        public static final int _COLOR = 2;
        public static final int _BOOLEAN = 3;
        public static final int _STRINGARRAY = 4;
        public static final int _DIMENSION = 5;
        public static final int _INTEGERARRAY = 6;
        public static final int _OBJECT = 7;
        public static final int _TYPEREFERENCE = 8;
        public static final int _FONT = 9;
        public static final int _PARENTREFERENCE = 10;
        public static final int _DEFINITIONGROUP = 11;
    }

    public static final class operators {
        public static final String opTab = "   ";
        public static final String opSeparator = " -- ";
    }

    public static final class tooltips {
        public static final String tpRestore = "tpRestore";
        public static final String tpBackup = "tpBackup";
        public static final String tpProxyServerName = "tpProxyServerName";
        public static final String tpTextPosition = "tpTextPosition";
        public static final String tpReportFooterBackgroundColor = "tpReportFooterBackgroundColor";
        public static final String tpProxyUserName = "tpProxyUserName";
        public static final String tpSearchRes = "tpSearchRes";
        public static final String tpProxyPassword = "tpProxyPassword";
        public static final String tpReportLabelBorderColor = "tpReportLabelBorderColor";
        public static final String tpReportHeaderBackgroundColor = "tpReportHeaderBackgroundColor";
        public static final String tpReportLabelBackground = "tpReportLabelBackground";
        public static final String tpOverwriteExistingValues = "tpOverwriteExistingValues";
        public static final String tpReportTextColor = "tpReportTextColor";
        public static final String tpFooterValue = "tpFooterValue";
        public static final String tpReportTextFont = "tpReportTextFont";
        public static final String tpReportLabelColor = "tpReportLabelColor";
        public static final String tpAddNew = "tpAddNew";
        public static final String tpAutoLoadData = "tpAutoLoadData";
        public static final String tpProgramDefinitions = "tpProgramDefinitions";
        public static final String tpODBUserName = "tpODBUserName";
        public static final String tpBackColor = "tpBackColor";
        public static final String tpProxyServerPort = "tpProxyServerPort";
        public static final String tpStopSearch = "tpStopSearch";
        public static final String tpContinue = "tpContinue";
        public static final String tpUpdate = "tpUpdate";
        public static final String tpSave = "tpSave";
        public static final String tpODBPassword = "tpODBPassword";
        public static final String tpRemoveRow = "tpRemoveRow";
        public static final String tpReportHeaderColor = "tpReportHeaderColor";
        public static final String tpDelete = "tpDelete";
        public static final String tpShowHeader = "tpShowHeader";
        public static final String tpClear = "tpClear";
        public static final String tpInputDirNotSelected = "tpInputDirNotSelected";
        public static final String tpSaveChanges = "tpSaveChanges";
        public static final String tpRequiredFields = "tpRequiredFields";
        public static final String tpPictureField = "tpPictureField";
        public static final String tpAddRow = "tpAddRow";
        public static final String tpFontSize = "tpFontSize";
        public static final String tpReportLabelFont = "tpReportLabelFont";
        public static final String tpClose = "tpClose";
        public static final String tpShowFooter = "tpShowFooter";
        public static final String tpIgnoreErrors = "tpIgnoreErrors";
        public static final String tpShowTableTooltips = "tpShowTableTooltips";
        public static final String tpDeleteImageFile = "tpDeleteImageFile";
        public static final String tpReportFooterFont = "tpReportFooterFont";
        public static final String tpSearch = "tpSearch";
        public static final String tpReportHeaderFont = "tpReportHeaderFont";
        public static final String tpReportTextBackground = "tpReportTextBackground";
        public static final String tpHeaderValue = "tpHeaderValue";
        public static final String tpUniqueness = "tpUniqueness";
        public static final String tpCompactAndShutdown = "tpCompactAndShutdown";
        public static final String tpAmazonUpdate = "tpAmazonUpdate";
        public static final String tpReportFooterColor = "tpReportFooterColor";
        public static final String tpShowHiddenFieldsInForms = "tpShowHiddenFieldsInForms";
        public static final String tpReportTextBorderColor = "tpReportTextBorderColor";
        public static final String tpStopAll = "tpStopAll";
        public static final String tpRunSQL = "tpRunSQL";
        public static final String tpIMDBUpdate = "tpIMDBUpdate";
        public static final String tpFont = "tpFont";
        public static final String tpCancel = "tpCancel";
        public static final String tpImportAudioCD = "tpImportAudioCD";
        public static final String tpCreateIndex = "tpCreateIndex";        
    }
    
    public static final class systemlabels {
        public static final String sysGenericModule = "sysGenericModule";
        public static final String sysMusicFile = "sysMusicFile";
        public static final String sysMusicFilePlural = "sysMusicFilePlural";
        public static final String sysMovie = "sysMovie";
        public static final String sysMoviePlural = "sysMoviePlural";
        public static final String sysAudioCD = "sysAudioCD";
        public static final String sysAudioCDPlural = "sysAudioCDPlural";
        public static final String sysAudioTrack = "sysAudioTrack";
        public static final String sysAudioTrackPlural = "sysAudioTrackPlural";
        public static final String sysBook = "sysBook";
        public static final String sysBookPlural = "sysBookPlural";
        public static final String sysBookCategory = "sysBookCategory";
        public static final String sysBookCategoryPlural = "sysBookCategoryPlural";
        public static final String sysSoftware = "sysSoftware";
        public static final String sysSoftwareCategory = "sysSoftwareCategory";
        public static final String sysSoftwareCategoryPlural = "sysSoftwareCategoryPlural";
    }
    
    public static final class labels {
    	public static final String lblSelectModule = "lblSelectModule";
    	public static final String lblSelectModuleHelp = "lblSelectModuleHelp";
        public static final String lblKey = "lblKey";
        public static final String lblWeight = "lblWeight";
        public static final String lblBckFileFilter = "lblBckFileFilter";
        public static final String lblEnabledField = "lblEnabledField";
        public static final String lblCreateNewFile = "lblCreateNewFile";
        public static final String lblSelectDirectory = "lblSelectDirectory";
        public static final String lblSelectFile = "lblSelectFile";
        public static final String lblBackup = "lblBackup";
        public static final String lblRestore = "lblRestore";
        public static final String lblBackupAndRestore = "lblBackupAndRestore";
        public static final String lblSystemLabels = "lblSystemLabels";
        public static final String lblLocationName = "lblLocationName";
        public static final String lblLocation = "lblLocation";
        public static final String lblDescription = "lblDescription";
        public static final String lblLabels = "lblLabels";
        public static final String lblMessages = "lblMessages";
        public static final String lblTooltips = "lblTooltips";
        public static final String lblResourceEditor = "lblResourceEditor";
        public static final String lblValue = "lblValue";
        public static final String lblFontSize = "lblFontSize";
        public static final String lblMovieFileImport = "lblMovieFileImport";
        public static final String lblShowDetails = "lblShowDetails";
        public static final String lblReportFooterBackgroundColor = "lblReportFooterBackgroundColor";
        public static final String lblSearchResult = "lblSearchResult";
        public static final String lblReportHeaderColor = "lblReportHeaderColor";
        public static final String lblWizard = "lblWizard";
        public static final String lblActiveModule = "lblActiveModule";
        public static final String lblRight = "lblRight";
        public static final String lblCredits = "lblCredits";
        public static final String lblNewOrUpdate = "lblNewOrUpdate";
        public static final String lblEvenRowColor = "lblEvenRowColor";
        public static final String lblStopAll = "lblStopAll";
        public static final String lblQueryOut = "lblQueryOut";
        public static final String lblHeaderValue = "lblHeaderValue";
        public static final String lblSettings = "lblSettings";
        public static final String lblSystem = "lblSystem";
        public static final String lblClose = "lblClose";
        public static final String lblRemoveRow = "lblRemoveRow";
        public static final String lblTableColorSettings = "lblTableColorSettings";
        public static final String lblCompactAndShutdown = "lblCompactAndShutdown";
        public static final String lblSaveChanges = "lblSaveChanges";
        public static final String lblFileExtension = "lblFileExtension";
        public static final String lblLanguage = "lblLanguage";
        public static final String lblOpenLog = "lblOpenLog";
        public static final String lblEncoding = "lblEncoding";
        public static final String lblLandscape = "lblLandscape";
        public static final String lblShowHiddenFieldsInForms = "lblShowHiddenFieldsInForms";
        public static final String lblBrowserPath = "lblBrowserPath";
        public static final String lblDimension = "lblDimension";
        public static final String lblInternetServer = "lblInternetServer";
        public static final String lblAskPerDir = "lblAskPerDir";
        public static final String lblStoredSQL = "lblStoredSQL";
        public static final String lblSystemInformation = "lblSystemInformation";
        public static final String lblLogEvent = "lblLogEvent";
        public static final String lblRequired = "lblRequired";
        public static final String lblCheckRequiredFields = "lblCheckRequiredFields";
        public static final String lblCategories = "lblCategories";
        public static final String lblLabelBorderTop = "lblLabelBorderTop";
        public static final String lblFooterValue = "lblFooterValue";
        public static final String lblSave = "lblSave";
        public static final String lblFindAgain = "lblFindAgain";
        public static final String lblMenuSave = "lblMenuSave";
        public static final String lblSearchForm = "lblSearchForm";
        public static final String lblTextPosition = "lblTextPosition";
        public static final String lblDataCrowHelp = "lblDataCrowHelp";
        public static final String lblProxyServerName = "lblProxyServerName";
        public static final String lblField = "lblField";
        public static final String lblFieldSettings = "lblFieldSettings";
        public static final String lblSaveAll = "lblSaveAll";
        public static final String lblSoftwareImport = "lblSoftwareImport";
        public static final String lblRemove = "lblRemove";
        public static final String lblAddTrack = "lblAddTrack";
        public static final String lblUpdate = "lblUpdate";
        public static final String lblViewItem = "lblViewItem";
        public static final String lblProgramDefinitions = "lblProgramDefinitions";
        public static final String lblModules = "lblModules";
        public static final String lblTopics = "lblTopics";
        public static final String lblReportTextFontSetting = "lblReportTextFontSetting";
        public static final String lblAudioCDImport = "lblAudioCDImport";
        public static final String lblTextViewer = "lblTextViewer";
        public static final String lblSearchOpts = "lblSearchOpts";
        public static final String lblImportAudioCD = "lblImportAudioCD";
        public static final String lblItemCannotBeSaved = "lblItemCannotBeSaved";
        public static final String lblError = "lblError";
        public static final String lblAddNew = "lblAddNew";
        public static final String lblListReport = "lblListReport";
        public static final String lblReportTextBackground = "lblReportTextBackground";
        public static final String lblMaintenance = "lblMaintenance";
        public static final String lblQuit = "lblQuit";
        public static final String lblClear = "lblClear";
        public static final String lblReportHeaderBackgroundColor = "lblReportHeaderBackgroundColor";
        public static final String lblFontBold = "lblFontBold";
        public static final String lblReportLabelFontSetting = "lblReportLabelFontSetting";
        public static final String lblBelowLabel = "lblBelowLabel";
        public static final String lblBold = "lblBold";
        public static final String lblProxyUserName = "lblProxyUserName";
        public static final String lblToggleQuickView = "lblToggleQuickView";
        public static final String lblReportFooterFont = "lblReportFooterFont";
        public static final String lblLoad = "lblLoad";
        public static final String lblReportTextBorderColor = "lblReportTextBorderColor";
        public static final String lblLabelBorderBottom = "lblLabelBorderBottom";
        public static final String lblInitAllDone = "lblInitAllDone";
        public static final String lblRecursiveDir = "lblRecursiveDir";
        public static final String lblDeleteImageFile = "lblDeleteImageFile";
        public static final String lblFind = "lblFind";
        public static final String lblReportFooterColor = "lblReportFooterColor";
        public static final String lblMaximumSearchRes = "lblMaximumSearchRes";
        public static final String lblOnlineDatabase = "lblOnlineDatabase";
        public static final String lblFontStyle = "lblFontStyle";
        public static final String lblOpen = "lblOpen";
        public static final String lblReportPageSetting = "lblReportPageSetting";
        public static final String lblReportTextSetting = "lblReportTextSetting";
        public static final String lblAmazonUpdateAll = "lblAmazonUpdateAll";
        public static final String lblCreatePdfReport = "lblCreatePdfReport";
        public static final String lblItem = "lblItem";
        public static final String lblColor = "lblColor";
        public static final String lblHTTPSettings = "lblHTTPSettings";
        public static final String lblReset = "lblReset";
        public static final String lblDeletePicture = "lblDeletePicture";
        public static final String lblPicFileFilter = "lblPicFileFilter";
        public static final String lblAlignment = "lblAlignment";
        public static final String lblArtist = "lblArtist";
        public static final String lblReportLabelBorderColor = "lblReportLabelBorderColor";
        public static final String lblBroadbandConnection = "lblBroadbandConnection";
        public static final String lblPublisher = "lblPublisher";
        public static final String lblShowTableTooltips = "lblShowTableTooltips";
        public static final String lblFile = "lblFile";
        public static final String lblNo = "lblNo";
        public static final String lblLog = "lblLog";
        public static final String lblOK = "lblOK";
        public static final String lblOriginalLabel = "lblOriginalLabel";
        public static final String lblCancel = "lblCancel";
        public static final String lblInsert = "lblInsert";
        public static final String lblLabelBorderRight = "lblLabelBorderRight";
        public static final String lblBesideLabel = "lblBesideLabel";
        public static final String lblAbout = "lblAbout";
        public static final String lblInformation = "lblInformation";
        public static final String lblMusicFileImport = "lblMusicFileImport";
        public static final String lblAndOrSelect = "lblAndOrSelect";
        public static final String lblTextBorderTop = "lblTextBorderTop";
        public static final String lblCreateIndex = "lblCreateIndex";
        public static final String lblRatingOutOf = "lblRatingOutOf";
        public static final String lblReportLabelColorSetting = "lblReportLabelColorSetting";
        public static final String lblLabel = "lblLabel";
        public static final String lblOverwriteExistingValues = "lblOverwriteExistingValues";
        public static final String lblRemoveTrack = "lblRemoveTrack";
        public static final String lblFileBrowser = "lblFileBrowser";
        public static final String lblProgram = "lblProgram";
        public static final String lblImport = "lblImport";
        public static final String lblInternetUpdate = "lblInternetUpdate";
        public static final String lblAmazonUpdateProcess = "lblAmazonUpdateProcess";
        public static final String lblIMDBUpdate = "lblIMDBUpdate";
        public static final String lblReportFooterSetting = "lblReportFooterSetting";
        public static final String lblUniqueness = "lblUniqueness";
        public static final String lblYes = "lblYes";
        public static final String lblShowFooter = "lblShowFooter";
        public static final String lblResults = "lblResults";
        public static final String lblReportTextFont = "lblReportTextFont";
        public static final String lblToggleMenuLabels = "lblToggleMenuLabels";
        public static final String lblOpenReport = "lblOpenReport";
        public static final String lblTextBorderRight = "lblTextBorderRight";
        public static final String lblCDName = "lblCDName";
        public static final String lblToggleToolbarLabelsAction = "lblToggleToolbarLabelsAction";
        public static final String lblSelectedItemsOnly = "lblSelectedItemsOnly";
        public static final String lblTargetFile = "lblTargetFile";
        public static final String lblContinue = "lblContinue";
        public static final String lblStop = "lblStop";
        public static final String lblDeleteItem = "lblDeleteItem";
        public static final String lblTools = "lblTools";
        public static final String lblTextBorderLeft = "lblTextBorderLeft";
        public static final String lblOnlyXareReturned = "lblOnlyXareReturned";
        public static final String lblOrderBy = "lblOrderBy";
        public static final String lblDelete = "lblDelete";
        public static final String lblExpertUser = "lblExpertUser";
        public static final String lblOddRowColor = "lblOddRowColor";
        public static final String lblLeft = "lblLeft";
        public static final String lblQueryIn = "lblQueryIn";
        public static final String lblMove = "lblMove";
        public static final String lblOpenItem = "lblOpenItem";
        public static final String lblOnlineSearch = "lblOnlineSearch";
        public static final String lblEmptySearchValue = "lblEmptySearchValue";
        public static final String lblAdd = "lblAdd";
        public static final String lblRun = "lblRun";
        public static final String lblReportLabelSetting = "lblReportLabelSetting";
        public static final String lblStartProgram = "lblStartProgram";
        public static final String lblPictureViewer = "lblPictureViewer";
        public static final String lblProxyPassword = "lblProxyPassword";
        public static final String lblUpdateAll = "lblUpdateAll";
        public static final String lblRatingNotRated = "lblRatingNotRated";
        public static final String lblPreview = "lblPreview";
        public static final String lblProxyServerPort = "lblProxyServerPort";
        public static final String lblReportLabelFont = "lblReportLabelFont";
        public static final String lblImdbUpdateProcess = "lblImdbUpdateProcess";
        public static final String lblVerification = "lblVerification";
        public static final String lblToggleModuleList = "lblToggleModuleList";
        public static final String lblVideoCodec = "lblVideoCodec";
        public static final String lblAutoLoadData = "lblAutoLoadData";
        public static final String lblReportTextBackgroundColorSetting = "lblReportTextBackgroundColorSetting";
        public static final String lblHelp = "lblHelp";
        public static final String lblAmazonUpdate = "lblAmazonUpdate";
        public static final String lblExportHasFinished = "lblExportHasFinished";
        public static final String lblStart = "lblStart";
        public static final String lblShowHeader = "lblShowHeader";
        public static final String lblRowSelectionColor = "lblRowSelectionColor";
        public static final String lblCardReport = "lblCardReport";
        public static final String lblTableHeaderColor = "lblTableHeaderColor";
        public static final String lblReportLabelBackgroundColorSetting = "lblReportLabelBackgroundColorSetting";
        public static final String lblReport = "lblReport";
        public static final String lblRefresh = "lblRefresh";
        public static final String lblStartImport = "lblStartImport";
        public static final String lblFields = "lblFields";
        public static final String lblSaveCurrent = "lblSaveCurrent";
        public static final String lblApply = "lblApply";
        public static final String lblFromLocation = "lblFromLocation";
        public static final String lblPreciseSelect = "lblPreciseSelect";
        public static final String lblFont = "lblFont";
        public static final String lblSearchCond = "lblSearchCond";
        public static final String lblAddRow = "lblAddRow";
        public static final String lblReportHeaderFont = "lblReportHeaderFont";
        public static final String lblReportType = "lblReportType";
        public static final String lblFileFiler = "lblFileFiler";
        public static final String lblTabNote = "lblTabNote";
        public static final String lblStatus = "lblStatus";
        public static final String lblReportHeaderSetting = "lblReportHeaderSetting";
        public static final String lblReportSettings = "lblReportSettings";
        public static final String lblFontNormal = "lblFontNormal";
        public static final String lblKeywords = "lblKeywords";
        public static final String lblCenter = "lblCenter";
        public static final String lblEnabled = "lblEnabled";
        public static final String lblTextBorderBottom = "lblTextBorderBottom";
        public static final String lblNewItem = "lblNewItem";
        public static final String lblTechnicalInfo = "lblTechnicalInfo";
        public static final String lblSQLTool = "lblSQLTool";
        public static final String lblCDSearch = "lblCDSearch";
        public static final String lblReportTextColorSetting = "lblReportTextColorSetting";
        public static final String lblLabelBorderLeft = "lblLabelBorderLeft";
        public static final String lblClearTable = "lblClearTable";
        public static final String lblIgnoreErrors = "lblIgnoreErrors";
        public static final String lblSavePicture = "lblSavePicture";
        public static final String lblGroupGeneral = "lblGroupGeneral";
        public static final String lblReportLabelBackground = "lblReportLabelBackground";
        public static final String lblVisible = "lblVisible";
        public static final String lblCategoryForm = "lblCatagoryForm";
    }
    
    public static final class messages {
        public static final String msgReapplyingSettings = "msgReapplyingSettings";
        public static final String msgWritingBackupFile = "msgWritingBackupFile";
        public static final String msgStartBackup = "msgStartBackup";
        public static final String msgClosingDb = "msgClosingDb";
        public static final String msgCreatingBackupOfFile = "msgCreatingBackupOfFile";
        public static final String msgBackupError = "msgBackupError";
        public static final String msgRestartingDb = "msgRestartingDb";
        public static final String msgBackupFinished = "msgBackupFinished";
        public static final String msgSelectOutputDir = "msgSelectOutputDir";
        public static final String msgStartRestore = "msgStartRestore";
        public static final String msgRestoringFile = "msgRestoringFile";
        public static final String msgRestoreError = "msgRestoreError";
        public static final String msgRestoreFinished = "msgRestoreFinished";
        public static final String msgSelectBackupFile = "msgSelectBackupFile";
        public static final String msgBackupFileCreationError = "msgBackupFileCreationError";
        public static final String msgServerCouldNotBeReached = "msgServerCouldNotBeReached";
        public static final String msgResultPassedToUI = "msgResultPassedToUI";
        public static final String msgItemDeleted = "msgItemDeleted";
        public static final String msgSelectDirectory = "msgSelectDirectory";
        public static final String msgCreateQuerySuccesful = "msgCreateQuerySuccesful";
        public static final String msgChoice = "msgChoice";
        public static final String msgWritingToFile = "msgWritingToFile";
        public static final String msgImageRetrieved = "msgImageRetrieved";
        public static final String msgSelectRowUpdate = "msgSelectRowUpdate";
        public static final String msgExportStarts = "msgExportStarts";
        public static final String msgNoRowsSelected = "msgNoRowsSelected";
        public static final String msgErrorWithImage = "msgErrorWithImage";
        public static final String msgSelectRowToOpen = "msgSelectRowToOpen";
        public static final String msgCouldNotConnectToImdb = "msgCouldNotConnectToImdb";
        public static final String msgParsingSuccessfull = "msgParsingSuccessfull";
        public static final String msgChooseExportDrive = "msgChooseExportDrive";
        public static final String msgImport = "msgImport";
        public static final String msgInitMusicSearch = "msgInitMusicSearch";
        public static final String msgItemNotUnique = "msgItemNotUnique";
        public static final String msgWritingInfo = "msgWritingInfo";
        public static final String msgSomeDataNotSaved = "msgSomeDataNotSaved";
        public static final String msgDatabasesNotFullyDefined = "msgDatabasesNotFullyDefined";
        public static final String msgProgramAlreadyDefined = "msgProgramAlreadyDefined";
        public static final String msgCouldNotOpenReport = "msgCouldNotOpenReport";
        public static final String msgQuestion = "msgQuestion";
        public static final String msgImageResolutionIsTooHigh = "msgImageResolutionIsTooHigh";
        public static final String msgParsingError = "msgParsingError";
        public static final String msgNoFilename = "msgNoFilename";
        public static final String msgSearchStringLength = "msgSearchStringLength";
        public static final String msgCouldNotCreateCacheForPicture = "msgCouldNotCreateCacheForPicture";
        public static final String msgCouldNotAccess = "msgCouldNotAccess";
        public static final String msgEnterCDName = "msgEnterCDName";
        public static final String msgFileOrExtensionNotFilled = "msgFileOrExtensionNotFilled";
        public static final String msgSettingsSaved = "msgSettingsSaved";
        public static final String msqMemoryError = "msqMemoryError";
        public static final String msgHttpRetry = "msgHttpRetry";
        public static final String msgNoFileSelected = "msgNoFileSelected";
        public static final String msgDeleteQuestion = "msgDeleteQuestion";
        public static final String msgProcessingFileX = "msgProcessingFileX";
        public static final String msgSysError = "msgSysError";
        public static final String msgSaveHasBeenExecuted = "msgSaveHasBeenExecuted";
        public static final String msgImportFoundXResults = "msgImportFoundXResults";
        public static final String msgDataSaved = "msgDataSaved";
        public static final String msgSQLTableHasBeenFilled = "msgSQLTableHasBeenFilled";
        public static final String msgAddingToTable = "msgAddingToTable";
        public static final String msgInitMusicInsert = "msgInitMusicInsert";
        public static final String msgCloseServer = "msgCloseServer";
        public static final String msgReportNoItems = "msgReportNoItems";
        public static final String msgSourceNotFound = "msgSourceNotFound";
        public static final String msgGotResult = "msgGotResult";
        public static final String msgImportStops = "msgImportStops";
        public static final String msgCouldNotReadDiscID = "msgCouldNotReadDiscID";
        public static final String msgJobRunning = "msgJobRunning";
        public static final String msgInsertQuerySuccesful = "msgInsertQuerySuccesful";
        public static final String msgErrorWhileExecuting = "msgErrorWhileExecuting";
        public static final String msgDBCreated = "msgDBCreated";
        public static final String msgEmptyName = "msgEmptyName";
        public static final String msgFreeDBServerReturnedError = "msgFreeDBServerReturnedError";
        public static final String msgErrorOpeningHelp = "msgErrorOpeningHelp";
        public static final String msgNoSearchResults = "msgNoSearchResults";
        public static final String msgTableFound = "msgTableFound";
        public static final String msgAmazonNeedsTitle = "msgAmazonNeedsTitle";
        public static final String msgTableNotFound = "msgTableNotFound";
        public static final String msgNotSaved = "msgNotSaved";
        public static final String msgInvalidArray = "msgInvalidArray";
        public static final String msgAmazonUpdateStarts = "msgAmazonUpdateStarts";
        public static final String msgItemNotUniqueRow = "msgItemNotUniqueRow";
        public static final String msgSearchHasBeenExecuted = "msgSearchHasBeenExecuted";
        public static final String msgCouldNotConnectAmazon = "msgCouldNotConnectAmazon";
        public static final String msgItemInQueueNotUnique = "msgItemInQueueNotUnique";
        public static final String msgCouldNotClearCache = "msgCouldNotClearCache";
        public static final String msgRecSaved = "msgRecSaved";
        public static final String msgNoResultsForDiscID = "msgNoResultsForDiscID";
        public static final String msgInitMovieSearch = "msgInitMovieSearch";
        public static final String msgSettingsLoaded = "msgSettingsLoaded";
        public static final String msgSearchResult = "msgSearchResult";
        public static final String msgFoundXResults = "msgFoundXResults";
        public static final String msgEditDetails = "msgEditDetails";
        public static final String msgNoRowsFound = "msgNoRowsFound";
        public static final String msgFileNotFound = "msgFileNotFound";
        public static final String msgSysInfo = "msgSysInfo";
        public static final String msgFileSaved = "msgFileSaved";
        public static final String msgInitSearch = "msgInitSearch";
        public static final String msgValueFailure = "msgValueFailure";
        public static final String msgNewLogUsed = "msgNewLogUsed";
        public static final String msgIniLoadNew = "msgIniLoadNew";
        public static final String msgInitAudioCDInsert = "msgInitAudioCDInsert";
        public static final String msgSelectItemToDel = "msgSelectItemToDel";
        public static final String msgFoundDiscID = "msgFoundDiscID";
        public static final String msgSkippingEmptyImage = "msgSkippingEmptyImage";
        public static final String msgFileSaveError = "msgFileSaveError";
        public static final String msgSysNotif = "msgSysNotif";
        public static final String msgDeleteQuerySuccesful = "msgDeleteQuerySuccesful";
        public static final String msgSettingsNotSaved = "msgSettingsNotSaved";
        public static final String msgAddSelectAlbum = "msgAddSelectAlbum";
        public static final String msgIniFound = "msgIniFound";
        public static final String msgInitMovieInsert = "msgInitMovieInsert";
        public static final String msgIniFailure = "msgIniFailure";
        public static final String msgImageFileIsTooLarge = "msgImageFileIsTooLarge";
        public static final String msgPictureCouldNotBeRetrieved = "msgPictureCouldNotBeRetrieved";
        public static final String msgApplicationStops = "msgApplicationStops";
        public static final String msgProcessCrash = "msgProcessCrash";
        public static final String msgUpdateQuerySuccesful = "msgUpdateQuerySuccesful";
        public static final String msgNoInput = "msgNoInput";
        public static final String msgDBInsertCatError = "msgDBInsertCatError";
        public static final String msgParsing = "msgParsing";
        public static final String msgReadingFrom = "msgReadingFrom";
        public static final String msgRegDirName = "msgRegDirName";
        public static final String msgSelectRowForTransfer = "msgSelectRowForTransfer";
        public static final String msgFileCouldNotbeCreated = "msgFileCouldNotbeCreated";
        public static final String msgApplicationStarts = "msgApplicationStarts";
        public static final String msgInitInsert = "msgInitInsert";
        public static final String msgTableNeedsUpgrade = "msgTableNeedsUpgrade";
        public static final String msgCouldNotExecute = "msgCouldNotExecute";
        public static final String msgNoResultsForKeywords = "msgNoResultsForKeywords";
        public static final String msgInvalidExtension = "msgInvalidExtension";
        public static final String msgUnableToChangeDbSettings = "msgUnableToChangeDbSettings";
        public static final String msgEnterName = "msgEnterName";
        public static final String msgInternetSearch = "msgInternetSearch";
        public static final String msgError = "msgError";
        public static final String msgAddingToReport = "msgAddingToReport";
        public static final String msgImportCompleted = "msgImportCompleted";
        public static final String msgActionCompleted = "msgActionCompleted";
        public static final String msgChooseExportTarget = "msgChooseExportTarget";
        public static final String msgNoProgramDefinedForExtension = "msgNoProgramDefinedForExtension";
        public static final String msgIMDBNeedsTitle = "msgIMDBNeedsTitle";
        public static final String msgFreedbError = "msgFreedbError";
        public static final String msgDirectoryInvalid = "msgDirectoryInvalid";
        public static final String msgErrorWhileCreatingReport = "msgErrorWhileCreatingReport";
        public static final String msgQueryWasSuccessFull = "msgQueryWasSuccessFull";
        public static final String msgFileNotAvailable = "msgFileNotAvailable";
        public static final String msgErrorDiscID = "msgErrorDiscID";
        public static final String msgConversionFailed = "msgConversionFailed";
        public static final String msgNoItemsToSave = "msgNoItemsToSave";
        public static final String msgNoChangesToSave = "msgNoChangesToSave";
        public static final String msgDeleteHasBeenExecuted = "msgDeleteHasBeenExecuted";
        public static final String msgDownloadingXImages = "msgDownloadingXImages";
        public static final String msgUpgradeNeeded = "msgUpgradeNeeded";
        public static final String msgFreedbServersProblem = "msgFreedbServersProblem";
        public static final String msgMoreThenOneImageFound = "msgMoreThenOneImageFound";
        public static final String msgImportReadingDirs = "msgImportReadingDirs";
        public static final String msgImportStarts = "msgImportStarts";
        public static final String msgDBKeyNotUnique = "msgDBKeyNotUnique";
        public static final String msgIncompleteRecRow = "msgIncompleteRecRow";
        public static final String msgStoppedSearch = "msgStoppedSearch";
        public static final String msgConversionNeeded = "msgConversionNeeded";
        public static final String msgCouldNotLoadPicture = "msgCouldNotLoadPicture";
        public static final String msgDeleteSuccessfull = "msgDeleteSuccessfull";
        public static final String msgCreatingReportForXObjects = "msgCreatingReportForXObjects";
        public static final String msgDidNotParseFileBecause = "msgDidNotParseFileBecause";
        public static final String msgStartParsingXResults = "msgStartParsingXResults";
        public static final String msgSendCommandToServer = "msgSendCommandToServer";
        public static final String msgQueryError = "msgQueryError";
        public static final String msgInvalidURLChangeSetting = "msgInvalidURLChangeSetting";
        public static final String msgNewDataSaved = "msgNewDataSaved";
        public static final String msgFileDoesNotExist = "msgFileDoesNotExist";
        public static final String msgErrorWhileOpeningX = "msgErrorWhileOpeningX";
        public static final String msgNoChangedFields = "msgNoChangedFields";
        public static final String msgConnectingToServer = "msgConnectingToServer";
        public static final String msgDataUpdated = "msgDataUpdated";
        public static final String msgSelectTargetFile = "msgSelectTargetFile";
        public static final String msgUpdateHasBeenExecuted = "msgUpdateHasBeenExecuted";
        public static final String msgSendingSearchAmazon = "msgSendingSearchAmazon";
        public static final String msgFreeDBServerUnreachable = "msgFreeDBServerUnreachable";
        public static final String msgQueryAborted = "msgQueryAborted";
        public static final String msgStartImportJob = "msgStartImportJob";
        public static final String msgIncompleteRec = "msgIncompleteRec";
        public static final String msgIntegerValueError = "msgIntegerValueError";
        public static final String msgNewItemWizard = "msgNewItemWizard";
        public static final String msgInvalidURL = "msgInvalidURL";
        public static final String msgMaximumTextLength = "msgMaximumTextLength";
        public static final String msgInitNote = "msgInitNote";
        public static final String msgSettingsError = "msgSettingsError";
        public static final String msgTableCleared = "msgTableCleared";        
    }
    
    public static final class database {
        public static final String serverString = "jdbc:hsqldb:hsql:";
        public static final String localString = "jdbc:hsqldb:";
        
        public static final String _FIELDINTEGER = "integer";
        public static final String _FIELDLONGSTRING = "varchar";
        public static final String _FIELDSTRING = "varchar";
        public static final String _FIELDOBJECT = "varchar (" + Integer.MAX_VALUE + ")";

        public static final String _PREDEFINEDQRY = 
            "SELECT * FROM software WHERE type IS NOT NULL \n" +
            "SELECT * FROM musicfiles WHERE quality > 128 \n ";
    }
}
