/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.actions;

import java.awt.event.ActionEvent;

import net.sf.dc.console.forms.ItemForm;
import net.sf.dc.core.DataCrow;
import net.sf.dc.core.objects.DcObject;

/**
 * Create a new item action. Opens the item form
 *  
 * @author Robert Jan van der Waals
 * @since 1.4
 * @version 1.6
 */
public class CreateNewAction extends DCAction {

    public void actionPerformed(ActionEvent e) {
        DcObject dco = getModule().getDCObject();
        ItemForm itemForm = new ItemForm(  DataCrow.mainFrame,
                                           false, 
                                           false, 
                                           dco, 
                                           getModule().isImdbUpdateAllowed(),
                                           getModule().isAmazonUpdateAllowed());
        itemForm.setVisible(true);
    }
}
