/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.audiocd;

import javax.swing.ImageIcon;

import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.DcMediaObject;
import net.sf.dc.exceptions.ValidationException;

/**
 * The Audio Track Object
 * @see net.sf.dc.core.objects.DcObject
 *
 * @author Robert Jan van der Waals
 * @since 1.4
 * @version 1.5
 */
public class AudioTrack extends DcMediaObject {

    public static final int _F_TRACKNUMBER = 6;
    public static final int _G_LYRICS = 7;
    public static final int _H_PLAYLENGTH = 8;
    public static final int _I_ALBUM = 9;

    public AudioTrack() {
        super();
    }
    
    /**
     * Sets the module index / sets the ownership of this
     * data crow object  
     */    
    protected void setModuleIndex() {
        module = DCModules._AUDIOTRACK;
    }
    
    /**
     * Returns the icon for this object
     */    
    public ImageIcon getIcon() {
        return null;    
    }
    
    public String getFilename() {
    	return null;
    }
    
    public void checkIntegrity(boolean update) throws ValidationException {}
    
    /**
     * Create a UI representation for this object
     */
    public String toString() {
        return getValue(AudioTrack._A_TITLE).toString();
    }     
}
