/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.movie;

import javax.swing.ImageIcon;

import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.DcMediaObject;

/**
 * Movie object
 * 
 * @author Robert Jan van der Waals
 * @since 1.3
 * @version 0.5
 */
public class Movie extends DcMediaObject {

    public static final int _F_TITLE_LOCAL = 6;
    public static final int _G_WEBPAGE = 7;
    public static final int _H_GENRE = 8;
    public static final int _I_ACTORS = 9;
    public static final int _J_DIRECTOR = 10;
    public static final int _K_COUNTRY = 11;
    public static final int _L_PLAYLENGTH = 12;
    public static final int _M_FILENAME = 13;
    public static final int _N_VIDEOCODEC = 14;
    public static final int _O_AUDIOCODEC = 15;
    public static final int _P_WIDTH = 16;
    public static final int _Q_HEIGHT = 17;
    public static final int _R_FPS = 18;
    public static final int _S_FRAMES = 19;
    public static final int _T_AUDIOBITRATE = 20;
    public static final int _U_AUDIOSAMPLINGRATE = 21;
    public static final int _V_AUDIOCHANNEL = 22;
    public static final int _W_VIDEOBITRATE = 23;
    public static final int _X_PICTUREFRONT = 24;
    public static final int _Y_PICTUREBACK = 25;
    public static final int _Z_PICTURECD = 26;
    public static final int _0_LANGUAGE = 27;
    public static final int _1_AUDIOLANGUAGE = 28;
    public static final int _2_SUBTITLELANGUAGE = 29;
    public static final int _3_CERTIFICATION = 30;
    public static final int _4_FILESIZE = 31;
    
    public Movie() {
        super();
    }
    
    /**
     * Sets the module index / sets the ownership of this
     * data crow object  
     */    
    protected void setModuleIndex() {
        module = DCModules._MOVIE;
    }
    
    /**
     * Returns the icon for this object
     */    
    public ImageIcon getIcon() {
        return null;    
    }
    
    public String getFilename() {
    	return (String) getValue(Movie._M_FILENAME);
    }
    
    /**
     * Create a UI representation for this object
     */
    public String toString() {
        return getValue(Movie._A_TITLE).toString();
    }     
}
