/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.software;

import javax.swing.ImageIcon;

import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.DcMediaObject;

/**
 * Representation of a Software item. Allows saving, updating and querying
 * of Software items
 *
 * @author Robert Jan van der Waals
 * @since 1.3
 * @version 0.5
 */
public class Software extends DcMediaObject {

    public static final int _F_DEVELOPER = 6;
    public static final int _G_PUBLISHER  = 7;
    public static final int _H_PLATFORM = 8;
    public static final int _I_WEBPAGE = 9;
    public static final int _J_FILENAME = 10;
    public static final int _K_TYPE = 11;
    public static final int _L_MULTI = 12;
    public static final int _M_PICTUREFRONT = 13;    
    public static final int _N_PICTUREBACK = 14;
    public static final int _O_PICTURECD = 15;
    public static final int _P_SCREENSHOTONE = 16;
    public static final int _Q_SCREENSHOTTWO = 17;
    public static final int _R_SCREENSHOTTHREE = 18;
    public static final int _S_SERIALKEY = 19;
    public static final int _T_FILESIZE = 20;

    public Software() {
       super();
    }
    
    /**
     * Sets the module index / sets the ownership of this
     * data crow object  
     */  
    protected void setModuleIndex() {
        module = DCModules._SOFTWARE;
    }    

    /**
     * Returns the icon for this object
     */      
    public ImageIcon getIcon() {
        return null;    
    }    
    
    public String getFilename() {
    	return (String) getValue(Software._J_FILENAME);
    }    
    
    /**
     * Create a UI representation for this object
     */
    public String toString() {
        return getValue(Software._A_TITLE).toString();
    }    
}
