/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.processes;

/**
 * Simple thread used for save, delete and update jobs
 * 
 * @author Robert Jan van der Waals
 * @since 1.4
 * @version 1.5
 */
public class DataTask extends Thread {
    
    protected int[] rows;
    
    private boolean isRunning = false;
    private boolean keepOnRunning = true;
    
    public DataTask(int[] rows) {
        this.rows = rows;
    }
    
    public void cancel() {
    	keepOnRunning = false;
    }
    
    public void stopRunning() {
        keepOnRunning = false;
    	isRunning = false;
    }
    
    public void startRunning() {
        isRunning = true;
    }    
    
    public boolean isRunning() {
    	return isRunning;
    }
    
    public boolean keepOnRunning() {
    	return keepOnRunning;
    }
}
