package net.sf.dc.settings.definitions;

import net.sf.dc.core.modules.DCModule;

public class DcFieldDefinition extends Definition {
    
    private int index;
    private final boolean required;
    private final boolean visible;
    private final boolean enabled;
    private final String label;
    
    public DcFieldDefinition(int index, String label, boolean enabled, boolean required, boolean visible) {
        this.index = index;
        this.required = required;
        this.visible = visible;
        this.enabled = enabled;
        this.label = label;
    }
    
    public void setIndex(int index) {
        this.index = index;
    }
    
    public int getIndex() {
        return index;
    }
    
    public boolean isEnabled() {
        return enabled;
    }    
    
    public boolean isVisible() {
        return visible;
    }
    
    public boolean isRequired() {
        return required;
    }
    
    public String getLabel() {
        return label;
    }
    
    public Object[] getDisplayValues(DCModule module) {
        return new Object[] {module.getField(index).getSystemName(),
                             label,
                             new Boolean(enabled),
                             new Boolean(visible),
                             new Boolean(required),
                             module.getField(index)};
    }    
    
    public String toSettingValue() {
        return index + "/&/" + label + "/&/" + enabled + "/&/" + required + "/&/" + visible;
    }
}
