/*
 * InputStreamDataSource.java
 *
 * Created on November 19, 2002, 9:35 PM
 */

package net.sf.ext.mediamanager.ebml;

/**
 *
 * @author  John Cannon
 */

import java.io.*;

public class InputStreamDataSource
    implements DataSource {
  protected InputStream in;
  protected int pos;

  public InputStream getInputStream() {
    return in;
  }
  /** Creates a new instance of InputStreamDataSource */
  public InputStreamDataSource(InputStream in) {
    this.in = in;
  }

  public int read(byte[] buff) {
    try {
      return pos += in.read(buff);
    }
    catch (IOException e) {
      e.printStackTrace();
      return -1;
    }
  }

  public int read(byte[] buff, int offset, int length) {
    try {
      return pos += in.read(buff, offset, length);
    }
    catch (IOException e) {
      e.printStackTrace();
      return -1;
    }
  }

  public int skip(long offset) {
    try {
      pos += in.skip(offset);
      return 0;
    }
    catch (IOException e) {
      e.printStackTrace();
      return -1;
    }
  }

  public byte readByte() {
    try {
      byte[] b = new byte[1];
      pos += in.read(b);
      return b[0];
    }
    catch (IOException e) {
      e.printStackTrace();
      return -1;
    }
  }

  public int getBytePosition() {
    return pos;
  }
}
