/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.ext.util;

import javax.swing.JFrame;

import net.sf.dc.core.DataCrow;

/**
 * @author Robert Jan van der Waals
 * @since 1.3
 * @version 0.5
 */
public class SwingUtil {
    
    private static JFrame rootFrame = null;

    public static void setRootFrame(JFrame f) {
    	rootFrame = f;
    }
    
    public static void shiftFocus(JFrame f) {
        if (f != null) {
        	f.toFront();
        } else {
        	DataCrow.mainFrame.toFront();
        }
    }

    public static JFrame getRootFrame() {
        if (rootFrame != null) 
            return rootFrame;    

        return DataCrow.mainFrame;
    }
}
